cublas: FFI bindings to the CUDA CUBLAS and CUSPARSE libraries

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain] [Publish]

This package provides FFI bindings to the NVIDIA CUDA CUBLAS and CUSPARSE linear algebra GPU BLAS implementations. The modules Foreign.CUDA.Cublas and Foreign.CUDA.Cusparse are probably the most useful.

If you have trouble installing this package, it may help to view this webpage: http://github.com/bmsherman/cublas

Properties

Versions 0.2.0.0, 0.2.0.1, 0.2.0.2, 0.2.0.2, 0.2.1.0, 0.3.0.0, 0.4.0.0, 0.4.0.1, 0.5.0.0, 0.6.0.0
Change log None available
Dependencies base (>=4.4 && <4.8), cuda (>=0.4.1 && <0.7), filepath (==1.3.*), language-c (>=0.4.2 && <0.5), storable-complex (>=0.2.1 && <0.3), template-haskell (>=2.7 && <2.10) [details]
License BSD-3-Clause
Copyright Copyright (c) [2012..2014]. Trevor L. McDonell <tmcdonell@cse.unsw.edu.au>, Ben Sherman <benmsherman@gmail.com>
Author Trevor L. McDonell, Ben Sherman
Maintainer Ben Sherman <benmsherman@gmail.com>
Category Foreign
Home page https://github.com/bmsherman/cublas
Source repo head: git clone git://github.com/bmsherman/cublas.git
this: git clone git://github.com/bmsherman/cublas/releases/tag/0.2.0.2.git(tag 0.2.0.2)
Uploaded by bmsherman at 2014-08-15T23:26:44Z

Modules

Downloads

Maintainer's Corner

For package maintainers and hackage trustees